Subject: Re: Section mismatch between 'copy_net_ns' and 'net_enable_timestamp

From: Daniel Lezcano <[email-masked]>
Date: Wed, 02 Jan 2008 15:28:00 +0100

Andy Johnson wrote:
> Hello,
>  I had git-cloned the net-2.6.25.git tree today;
> 
>  Then I ran "make menuconfig" and accepted the defaults without any change.
> I want to build this tree with network namespace support.
> I saw that in 2.6.25/net/core/net_namespace.c
> we have some #ifdef CONFIG_NET_NS ; I did not CONFIG_NET_NS in "make
> menuconfig".
> So I added in net_namespace.c #define CONFIG_NET_NS, before the first
> #ifdef CONFIG_NET_NS; then I ran make.
> 
> I saw the following warning:
> 
> WARNING: vmlinux.o(.text+0x1d47cd): Section mismatch: reference to .init.text:
> (between 'copy_net_ns' and 'net_enable_timestamp')
> 
> 
> Is there something wrong here causing this "Section mismatch"?
> or did I do something wrong?
> 
> Regards,
> Andy
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> 

Hi Andy,

If you want to activate the network namespace, you should disable the 
sysfs. This is a temporary restriction until Greg-KH integrates the 
sysfs per namespace:

https://lists.linux-foundation.org/pipermail/containers/2007-December/009347.html

Can you try to using the menuconfig to enable the network namespace and 
check if you still have the section mismatch ?

General setup
  -> Prompt for development and/or incomplete code/drivers => enable
  -> Configure standard kernel features => enable

File systems
  -> Pseudo filesystems
   -> sysfs file system support => disable

Networking
  -> Networking options
   -> Network namespace support => enable

Thanks
   -- Daniel